--[[
###############################################################################################
#S U P E R - V I L L A I N - ORIGINALLY  By: Failcoder | InkedSV (SUPER VILLAIN)  By: keivamp #
###############################################################################################
keivamp's quest tracker
]]--
local _G = _G;
local pairs     = _G.pairs;
--BLIZZARD API
local CreateFrame           = _G.CreateFrame;
local GetTime               = _G.GetTime;
local PERCENTAGE_STRING     = _G.PERCENTAGE_STRING;
local GetTimeStringFromSeconds = _G.GetTimeStringFromSeconds;
local GetQuestProgressBarPercent = _G.GetQuestProgressBarPercent;
--[[
##########################################################
GET ADDON DATA
##########################################################
]]--
local SV = _G['InkedSV']
local MOD = SV.QuestTracker;

	local myHeight
	local scrollFrame = CreateFrame("ScrollFrame", "InkedSV_QuestTrackerScrollFrame",Minimap)
	myHeight = SV.db.QTH;
	scrollFrame:SetWidth(275)
	scrollFrame:SetHeight(525)
	scrollFrame:SetPoint("BOTTOMLEFT",-250,-525)
	scrollFrame:EnableMouseWheel(true);
	scrollFrame.MaxVal = 0;
	local tex = scrollFrame:CreateTexture(nil, "BACKGROUND")
		tex:SetAllPoints()
		tex:SetColorTexture(0.15, 0.15, 0.15, 0)
		if SV.db["QuestTracker"].BackGround then
		SV.API:Set("Frame", scrollFrame)
		else
		SV.API:Set("Window2", scrollFrame)
		end
	
		scrollFrame:SetMovable(true)
		scrollFrame:EnableMouse(true)
		scrollFrame:RegisterForDrag("LeftButton")
		scrollFrame:SetScript("OnDragStart", scrollFrame.StartMoving)
		scrollFrame:SetScript("OnDragStop", scrollFrame.StopMovingOrSizing)
		scrollFrame:SetClampedToScreen(true)
		scrollFrame:SetClampRectInsets(0, 0, 0,0)
		scrollFrame:SetUserPlaced(true)
	
	
	
	local scrollBar = CreateFrame("Slider", "InkedSV_QuestTrackerScrollFrameScrollBar", scrollFrame);
	scrollBar:SetHeight(scrollFrame:GetHeight());
	scrollBar:SetWidth(18);
	scrollBar:SetPoint("TOPRIGHT", scrollFrame, "BOTTOMRIGHT", -4, 2);
	scrollBar:SetPoint("BOTTOMRIGHT", scrollFrame, "BOTTOMRIGHT", -4, 2);
	scrollBar:SetFrameLevel(6)
	scrollBar:SetOrientation("VERTICAL");
	scrollBar:SetValueStep(5);
	scrollBar:SetMinMaxValues(1, 420);
	scrollBar:SetValue(1);
	scrollBar:SetScript("OnValueChanged", function(self, argValue)
		_G.InkedSV_QuestTrackerScrollFrame:SetVerticalScroll(argValue)
	end)
	SV.API:Set("ScrollBar", scrollBar)
	
	local scrollChild = CreateFrame("Frame", "InkedSV_QuestTrackerScrollFrameScrollChild", scrollFrame);
	scrollChild:SetWidth(scrollFrame:GetWidth());
	scrollChild:SetClampedToScreen(true)
	scrollChild:SetHeight(525)
	scrollChild:SetPoint("BOTTOMRIGHT", scrollFrame, "BOTTOMRIGHT", -2, 0)
	scrollChild:SetFrameLevel(scrollFrame:GetFrameLevel() + 1)
	SV.API:Set("Window2", scrollChild)
	local texScrollChild = scrollChild:CreateTexture(nil, "BACKGROUND")
		texScrollChild:SetAllPoints()
		texScrollChild:SetColorTexture(0.25, 0.15, 0.65, 0)

	scrollFrame:SetScrollChild(scrollChild);
	scrollFrame.ScrollBar = scrollBar;
	scrollFrame.ScrollChild = scrollChild;
	scrollFrame:SetScript("OnMouseWheel", function(self, delta)
		local scroll = self:GetVerticalScroll();
		local value = (scroll - (20  *  delta));
		if value < -1 then
			value = 0
		end
		if value > self.MaxVal then
			value = self.MaxVal
		end
		self:SetVerticalScroll(value)
		self.ScrollBar:SetValue(value)
	end)
	
	local quests = CreateFrame("Frame", nil, scrollChild)
	quests:SetWidth(275);
	quests:SetHeight(20);
	quests:SetPoint("TOPLEFT", scrollChild,"TOPLEFT", 0,-10)
	--quests:SetStyle()

	quests.Header = CreateFrame("Frame", nil, quests)
	quests.Header:SetPoint("TOPLEFT", quests, "TOPLEFT", 2, -2);
	quests.Header:SetPoint("TOPRIGHT", quests, "TOPRIGHT", -2, -2);
	quests.Header:SetHeight(10);

	quests.Header.Text = quests.Header:CreateFontString(nil,"OVERLAY")
	quests.Header.Text:SetPoint("TOPLEFT", quests.Header, "TOPLEFT", 2, 0);
	quests.Header.Text:SetPoint("BOTTOMLEFT", quests.Header, "BOTTOMLEFT", 2, 0);
	quests.Header.Text:SetFontObject(InkedSV_Font_Quest_Header);
	quests.Header.Text:SetJustifyH('LEFT')
	quests.Header.Text:SetTextColor(0.28,0.75,1)
	quests.Header.Text:SetText(TRACKER_HEADER_QUESTS)

	quests.Header.Divider = quests.Header:CreateTexture(nil, 'BACKGROUND');
	quests.Header.Divider:SetPoint("TOPLEFT", quests.Header.Text, "TOPRIGHT", -10, 0);
	quests.Header.Divider:SetPoint("BOTTOMRIGHT", quests.Header, "BOTTOMRIGHT", 0, 0);
	quests.Header.Divider:SetTexture([[Interface\AddOns\InkedSV\assets\textures\DROPDOWN-DIVIDER]]);
	
	--MOD.Headers["Quests"] = quests;
	
	


local function SetQuestFrame()

 
	--else
	ObjectiveTrackerFrame:ClearAllPoints()
	ObjectiveTrackerFrame:SetPoint("TOPLEFT", quests,"TOPLEFT", 30,-10)
	ObjectiveTrackerFrame:SetScale(0.99)
	ObjectiveTrackerFrame:SetWidth(250) -- Set these to whatever height/width is needed 
	ObjectiveTrackerFrame:SetHeight(500) 

ObjectiveTrackerBlocksFrame.QuestHeader.Text:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.Background:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.LineGlow:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.LineSheen:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.SoftGlow:Hide()
ObjectiveTrackerBlocksFrame.QuestHeader.StarBurst:Hide()
--ObjectiveTrackerFrame.HeaderMenu.MinimizeButton:Hide()
ObjectiveTrackerBlocksFrame:SetFrameLevel(15)
-- end
end

ObjectiveTrackerFrame:HookScript("OnUpdate", SetQuestFrame)




	
